stages:
  - build

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:v1.21.0-debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - TAG="${CI_COMMIT_REF_NAME//\//_}";
    - /kaniko/executor --cache=true --dockerfile build/Dockerfile --context $CI_PROJECT_DIR --destination $CI_REGISTRY_IMAGE:$TAG 
